/// <reference types="styled-components-react-native" />
interface IStylesProps {
    isAvailable?: boolean;
}
export declare const HeaderContainer: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, IStylesProps, never>;
export declare const NotLoggedContainer: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export declare const LoginRegisterButtons: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export declare const LoggedContainer: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export declare const HeaderElements: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export declare const UserProfile: import("styled-components").StyledComponent<typeof import("react-native").TouchableOpacity, import("styled-components").DefaultTheme, {}, never>;
export declare const UserProfileContainer: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export declare const UserNameAndIcon: import("styled-components").StyledComponent<typeof import("react-native").View, import("styled-components").DefaultTheme, {}, never>;
export {};
